#include <inttypes.h>
#include <stdlib.h>

uint32_t Generate();
void PrintMessage(uint32_t n);

static uint64_t CalculateSum(uint32_t *array, uint64_t n);

uint64_t Sum(uint64_t n)
{
	PrintMessage(2);
	uint32_t *array = malloc(n * sizeof(uint32_t));
	
	PrintMessage(3);
	for (uint64_t i = 0; i < n; i++){
		array[i] = Generate();
	}
	
	PrintMessage(0);
	uint64_t sum = CalculateSum(array, n);
	PrintMessage(1);
	
	PrintMessage(4);
	free(array);
	
	return sum;
}

static uint64_t CalculateSum(uint32_t *array, uint64_t n)
{
	uint64_t sum = 0;
	for (uint64_t i = 0; i < n; i++){
		sum += array[i];
	}
	return sum;
}

